#
# Description:  Runs trigger functionality for page 2
# Called by:	sculptures:tick
# Entity @s:	Player
#

execute if entity @s[scores={sculptures.entity_mode=1}] at @s[scores={sculptures.entity_mode=1}] as @n[tag=!sculptures.locked,type=block_display,distance=..5] run tag @s add sculptures.selected
execute if entity @s[scores={sculptures.entity_mode=2}] at @s[scores={sculptures.entity_mode=2}] as @n[tag=!sculptures.locked,type=item_display,distance=..5] run tag @s add sculptures.selected
execute if entity @s[scores={sculptures.entity_mode=3}] at @s[scores={sculptures.entity_mode=3}] as @n[tag=!sculptures.locked,type=text_display,distance=..5] run tag @s add sculptures.selected

#Copy scoreboard to armor stand
scoreboard players operation @e[type=#display_entities,tag=sculptures.selected] sculptures.trigger = @s sculptures.trigger

#Set Mode: Block
execute if entity @s[scores={sculptures.trigger=201}] run function sculptures:triggers/page2/set_mode_block

#Set Mode: Item
execute if entity @s[scores={sculptures.trigger=202}] run function sculptures:triggers/page2/set_mode_item

#Set Mode: Text
execute if entity @s[scores={sculptures.trigger=203}] run function sculptures:triggers/page2/set_mode_text

#Add Display Entity
execute if entity @s[scores={sculptures.trigger=204}] run function sculptures:triggers/page2/add_display_entity

#Remove Display Entity
execute if entity @s[scores={sculptures.trigger=205},gamemode=!creative] as @e[tag=sculptures.selected] run function sculptures:triggers/page2/remove_display_entity
execute if entity @s[scores={sculptures.trigger=205},gamemode=creative] as @e[tag=sculptures.selected] run kill @e[tag=sculptures.selected]

#Swap Display Entity
execute if entity @s[scores={sculptures.trigger=206}] if entity @e[tag=sculptures.selected] run function sculptures:triggers/page2/swap_display_entity

#Lock Display Entity
execute if entity @s[scores={sculptures.trigger=207}] as @e[tag=sculptures.selected] run tag @s add sculptures.locked
execute if entity @s[scores={sculptures.trigger=207}] as @e[tag=sculptures.selected] run function sculptures:triggers/page2/display_target

#Unlock Display Entity
execute if entity @s[scores={sculptures.trigger=208,sculptures.entity_mode=1}] as @n[tag=sculptures.locked,distance=..5,type=block_display] run function sculptures:triggers/page2/display_target
execute if entity @s[scores={sculptures.trigger=208,sculptures.entity_mode=1}] as @n[tag=sculptures.locked,distance=..5,type=block_display] run tag @s remove sculptures.locked
execute if entity @s[scores={sculptures.trigger=208,sculptures.entity_mode=2}] as @n[tag=sculptures.locked,distance=..5,type=item_display] run function sculptures:triggers/page2/display_target
execute if entity @s[scores={sculptures.trigger=208,sculptures.entity_mode=2}] as @n[tag=sculptures.locked,distance=..5,type=item_display] run tag @s remove sculptures.locked
execute if entity @s[scores={sculptures.trigger=208,sculptures.entity_mode=3}] as @n[tag=sculptures.locked,distance=..5,type=text_display] run function sculptures:triggers/page2/display_target
execute if entity @s[scores={sculptures.trigger=208,sculptures.entity_mode=3}] as @n[tag=sculptures.locked,distance=..5,type=text_display] run tag @s remove sculptures.locked

#Set Billboard Fixed
execute if entity @s[scores={sculptures.trigger=209}] as @e[tag=sculptures.selected] run data modify entity @s billboard set value "fixed"

#Set Billboard Vertical
execute if entity @s[scores={sculptures.trigger=210}] as @e[tag=sculptures.selected] run data modify entity @s billboard set value "vertical"

#Set Billboard Horizontal
execute if entity @s[scores={sculptures.trigger=211}] as @e[tag=sculptures.selected] run data modify entity @s billboard set value "horizontal"

#Set Billboard Center
execute if entity @s[scores={sculptures.trigger=212}] as @e[tag=sculptures.selected] run data modify entity @s billboard set value "center"

#Turn Glowing On
execute if entity @s[scores={sculptures.trigger=213}] as @e[tag=sculptures.selected,type=!text_display] run data modify entity @s Glowing set value 1b
execute if entity @s[scores={sculptures.trigger=213}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s default_background set value 0b

#Turn Glowing Off
execute if entity @s[scores={sculptures.trigger=214}] as @e[tag=sculptures.selected,type=!text_display] run data modify entity @s Glowing set value 0b
execute if entity @s[scores={sculptures.trigger=214}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s default_background set value 1b

#Set Glow Color White
execute if entity @s[scores={sculptures.trigger=215}] as @e[tag=sculptures.selected,type=!text_display] run data modify entity @s glow_color_override set value 16383999
execute if entity @s[scores={sculptures.trigger=215}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s glow_color_override set value 1090125823

#Set Glow Color Light Gray
execute if entity @s[scores={sculptures.trigger=216}] as @e[tag=sculptures.selected,type=!text_display] run data modify entity @s glow_color_override set value 10263959
execute if entity @s[scores={sculptures.trigger=216}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s glow_color_override set value 1084005783

#Set Glow Color Gray
execute if entity @s[scores={sculptures.trigger=217}] as @e[tag=sculptures.selected,type=!text_display] run data modify entity @s glow_color_override set value 4673362
execute if entity @s[scores={sculptures.trigger=217}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s glow_color_override set value 1078415186

#Set Glow Color Black
execute if entity @s[scores={sculptures.trigger=218}] as @e[tag=sculptures.selected,type=!text_display] run data modify entity @s glow_color_override set value 1907745
execute if entity @s[scores={sculptures.trigger=218}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s glow_color_override set value 1075649569

#Set Glow Color Brown
execute if entity @s[scores={sculptures.trigger=219}] as @e[tag=sculptures.selected,type=!text_display] run data modify entity @s glow_color_override set value 8541234
execute if entity @s[scores={sculptures.trigger=219}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s glow_color_override set value 1082283058

#Set Glow Color Red
execute if entity @s[scores={sculptures.trigger=220}] as @e[tag=sculptures.selected,type=!text_display] run data modify entity @s glow_color_override set value 11546150
execute if entity @s[scores={sculptures.trigger=220}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s glow_color_override set value 1085287974

#Set Glow Color Orange
execute if entity @s[scores={sculptures.trigger=221}] as @e[tag=sculptures.selected,type=!text_display] run data modify entity @s glow_color_override set value 16351261
execute if entity @s[scores={sculptures.trigger=221}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s glow_color_override set value 1090093085

#Set Glow Color Yellow
execute if entity @s[scores={sculptures.trigger=222}] as @e[tag=sculptures.selected,type=!text_display] run data modify entity @s glow_color_override set value 16767037
execute if entity @s[scores={sculptures.trigger=222}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s glow_color_override set value 1090508861

#Set Glow Color Pink
execute if entity @s[scores={sculptures.trigger=223}] as @e[tag=sculptures.selected,type=!text_display] run data modify entity @s glow_color_override set value 15961258
execute if entity @s[scores={sculptures.trigger=223}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s glow_color_override set value 1089703082

#Set Glow Color Magenta
execute if entity @s[scores={sculptures.trigger=224}] as @e[tag=sculptures.selected,type=!text_display] run data modify entity @s glow_color_override set value 12996541
execute if entity @s[scores={sculptures.trigger=224}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s glow_color_override set value 1086738365

#Set Glow Color Purple
execute if entity @s[scores={sculptures.trigger=225}] as @e[tag=sculptures.selected,type=!text_display] run data modify entity @s glow_color_override set value 8991415
execute if entity @s[scores={sculptures.trigger=225}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s glow_color_override set value 1082733239

#Set Glow Color Blue
execute if entity @s[scores={sculptures.trigger=226}] as @e[tag=sculptures.selected,type=!text_display] run data modify entity @s glow_color_override set value 3949737
execute if entity @s[scores={sculptures.trigger=226}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s glow_color_override set value 1077691561

#Set Glow Color Light Blue
execute if entity @s[scores={sculptures.trigger=227}] as @e[tag=sculptures.selected,type=!text_display] run data modify entity @s glow_color_override set value 3847130
execute if entity @s[scores={sculptures.trigger=227}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s glow_color_override set value 1077588954

#Set Glow Color Cyan
execute if entity @s[scores={sculptures.trigger=228}] as @e[tag=sculptures.selected,type=!text_display] run data modify entity @s glow_color_override set value 1481885
execute if entity @s[scores={sculptures.trigger=228}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s glow_color_override set value 1075223709

#Set Glow Color Green
execute if entity @s[scores={sculptures.trigger=229}] as @e[tag=sculptures.selected,type=!text_display] run data modify entity @s glow_color_override set value 6126613
execute if entity @s[scores={sculptures.trigger=229}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s glow_color_override set value 1079868437

#Set Glow Color Lime
execute if entity @s[scores={sculptures.trigger=230}] as @e[tag=sculptures.selected,type=!text_display] run data modify entity @s glow_color_override set value 8439583
execute if entity @s[scores={sculptures.trigger=230}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s glow_color_override set value 1082181407

#Setup Background color based off of glow color
execute if entity @s[scores={sculptures.trigger=215..230}] as @e[tag=sculptures.selected,type=text_display] run data modify entity @s background set from entity @s glow_color_override

#Display Target
execute if entity @s[scores={sculptures.trigger=231}] if entity @e[tag=sculptures.target_being_displayed] run title @s actionbar {"color":"dark_red","text":"There is already a target being displayed"}
execute if entity @s[scores={sculptures.trigger=231}] unless entity @e[tag=sculptures.target_being_displayed] as @e[tag=sculptures.selected] run function sculptures:triggers/page2/display_target